Package org.gradle.api.artifacts

## Interface VariantFileMetadata

-     public interface VariantFileMetadata

  Part of a component variant's metadata representing a file and its location.
  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Get the name of the file.
    `java.lang.String` | `getUrl()` | Get the location of the file relative to the corresponding metadata file in the repository.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Get the name of the file.
      Returns:
        the name of the file

    - #### getUrl

          java.lang.String getUrl()

      Get the location of the file relative to the corresponding metadata file in the repository. This is the same as the file name, if the file is located next to the metadata file.
      Returns:
        relative location of the file